org.apache.felix.framework.util

## Interface FelixConstants

All Superinterfaces:
  Constants

    public interface FelixConstants
    extends Constants

### Field Summary

Fields
`static String` `ATTRIBUTE_SEPARATOR`
`static String` `BOOT_CLASSLOADERS_PROP`
`static int` `BUNDLE_DEFAULT_STARTLEVEL`
`static String` `BUNDLE_NATIVECODE_OPTIONAL`
`static String` `BUNDLE_STARTLEVEL_PROP`
`static String` `BUNDLE_URL_PROTOCOL`
`static String` `CALCULATE_SYSTEMPACKAGES_USES`
`static String` `CLASS_PATH_DOT`
`static String` `CLASS_PATH_SEPARATOR`
`static String` `DIRECTIVE_SEPARATOR`
`static String` `FAKE_URL_PROTOCOL_VALUE`
`static String` `FELIX_EXTENSION_ACTIVATOR`
`static String` `FELIX_EXTENSIONS_DISABLE`
`static String` `FELIX_VERSION_PROPERTY`
`static String` `FRAMEWORK_BUNDLECACHE_IMPL`
`static int` `FRAMEWORK_DEFAULT_STARTLEVEL`
`static int` `FRAMEWORK_INACTIVE_STARTLEVEL`
`static String` `FRAMEWORK_UUID_SECURE`
`static String` `FRAMEWORK_VENDOR_VALUE`
`static String` `FRAMEWORK_VERSION_VALUE`
`static String` `IMPLICIT_BOOT_DELEGATION_PROP`
`static String` `LOG_LEVEL_PROP`
`static String` `LOG_LOGGER_PROP`
`static String` `NATIVE_OS_NAME_ALIAS_PREFIX`
`static String` `NATIVE_PROC_NAME_ALIAS_PREFIX`
`static String` `PACKAGE_SEPARATOR`
`static String` `RESOLUTION_DYNAMIC`
`static String` `RESOLVER_PARALLELISM`
`static String` `SECURITY_DEFAULT_POLICY`
`static String` `SERVICE_URLHANDLERS_PROP`
`static String` `SYSTEM_BUNDLE_SYMBOLICNAME`
`static String` `SYSTEMBUNDLE_ACTIVATORS_PROP`
`static int` `SYSTEMBUNDLE_DEFAULT_STARTLEVEL`
`static String` `USE_CACHEDURLS_PROPS`
`static String` `USE_LOCALURLS_PROP`
`static String` `USE_PROPERTY_SUBSTITUTION_IN_SYSTEMPACKAGES`
`static int` `VERSION_SEGMENT_COUNT`
`static String` `VERSION_SEGMENT_SEPARATOR`

### Fields inherited from interface org.osgi.framework.Constants

`ACTIVATION_LAZY, BUNDLE_ACTIVATIONPOLICY, BUNDLE_ACTIVATOR, BUNDLE_CATEGORY, BUNDLE_CLASSPATH, BUNDLE_CONTACTADDRESS, BUNDLE_COPYRIGHT, BUNDLE_DESCRIPTION, BUNDLE_DEVELOPERS, BUNDLE_DOCURL, BUNDLE_ICON, BUNDLE_LICENSE, BUNDLE_LOCALIZATION, BUNDLE_LOCALIZATION_DEFAULT_BASENAME, BUNDLE_MANIFESTVERSION, BUNDLE_NAME, BUNDLE_NATIVECODE, BUNDLE_NATIVECODE_LANGUAGE, BUNDLE_NATIVECODE_OSNAME, BUNDLE_NATIVECODE_OSVERSION, BUNDLE_NATIVECODE_PROCESSOR, BUNDLE_REQUIREDEXECUTIONENVIRONMENT, BUNDLE_SCM, BUNDLE_SYMBOLICNAME, BUNDLE_SYMBOLICNAME_ATTRIBUTE, BUNDLE_UPDATELOCATION, BUNDLE_VENDOR, BUNDLE_VERSION, BUNDLE_VERSION_ATTRIBUTE, DYNAMICIMPORT_PACKAGE, EFFECTIVE_ACTIVE, EFFECTIVE_DIRECTIVE, EFFECTIVE_RESOLVE, EXCLUDE_DIRECTIVE, EXPORT_PACKAGE, EXPORT_SERVICE, EXTENSION_BOOTCLASSPATH, EXTENSION_BUNDLE_ACTIVATOR, EXTENSION_DIRECTIVE, EXTENSION_FRAMEWORK, FILTER_DIRECTIVE, FRAGMENT_ATTACHMENT_ALWAYS, FRAGMENT_ATTACHMENT_DIRECTIVE, FRAGMENT_ATTACHMENT_NEVER, FRAGMENT_ATTACHMENT_RESOLVETIME, FRAGMENT_HOST, FRAMEWORK_BEGINNING_STARTLEVEL, FRAMEWORK_BOOTDELEGATION, FRAMEWORK_BSNVERSION, FRAMEWORK_BSNVERSION_MANAGED, FRAMEWORK_BSNVERSION_MULTIPLE, FRAMEWORK_BSNVERSION_SINGLE, FRAMEWORK_BUNDLE_PARENT, FRAMEWORK_BUNDLE_PARENT_APP, FRAMEWORK_BUNDLE_PARENT_BOOT, FRAMEWORK_BUNDLE_PARENT_EXT, FRAMEWORK_BUNDLE_PARENT_FRAMEWORK, FRAMEWORK_COMMAND_ABSPATH, FRAMEWORK_EXECPERMISSION, FRAMEWORK_EXECUTIONENVIRONMENT, FRAMEWORK_LANGUAGE, FRAMEWORK_LIBRARY_EXTENSIONS, FRAMEWORK_OS_NAME, FRAMEWORK_OS_VERSION, FRAMEWORK_PROCESSOR, FRAMEWORK_SECURITY, FRAMEWORK_SECURITY_OSGI, FRAMEWORK_STORAGE, FRAMEWORK_STORAGE_CLEAN, FRAMEWORK_STORAGE_CLEAN_ONFIRSTINIT, FRAMEWORK_SYSTEMCAPABILITIES, FRAMEWORK_SYSTEMCAPABILITIES_EXTRA, FRAMEWORK_SYSTEMPACKAGES, FRAMEWORK_SYSTEMPACKAGES_EXTRA, FRAMEWORK_TRUST_REPOSITORIES, FRAMEWORK_UUID, FRAMEWORK_VENDOR, FRAMEWORK_VERSION, FRAMEWORK_WINDOWSYSTEM, IMPORT_PACKAGE, IMPORT_SERVICE, INCLUDE_DIRECTIVE, INTENT_ASYNC, INTENT_BASIC, INTENT_CONFIDENTIAL, INTENT_PRIVATE, MANDATORY_DIRECTIVE, OBJECTCLASS, PACKAGE_SPECIFICATION_VERSION, PROVIDE_CAPABILITY, REMOTE_CONFIGS_SUPPORTED, REMOTE_INTENTS_SUPPORTED, REQUIRE_BUNDLE, REQUIRE_CAPABILITY, RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL, SCOPE_BUNDLE, SCOPE_PROTOTYPE, SCOPE_SINGLETON, SELECTION_FILTER_ATTRIBUTE, SERVICE_BUNDLEID, SERVICE_CHANGECOUNT, SERVICE_DESCRIPTION, SERVICE_EXPORTED_CONFIGS, SERVICE_EXPORTED_INTENTS, SERVICE_EXPORTED_INTENTS_EXTRA, SERVICE_EXPORTED_INTERFACES, SERVICE_ID, SERVICE_IMPORTED, SERVICE_IMPORTED_CONFIGS, SERVICE_INTENTS, SERVICE_PID, SERVICE_RANKING, SERVICE_SCOPE, SERVICE_VENDOR, SINGLETON_DIRECTIVE, SUPPORTS_BOOTCLASSPATH_EXTENSION, SUPPORTS_FRAMEWORK_EXTENSION, SUPPORTS_FRAMEWORK_FRAGMENT, SUPPORTS_FRAMEWORK_REQUIREBUNDLE, SYSTEM_BUNDLE_ID, SYSTEM_BUNDLE_LOCATION, USES_DIRECTIVE, VERSION_ATTRIBUTE, VISIBILITY_DIRECTIVE, VISIBILITY_PRIVATE, VISIBILITY_REEXPORT`

### Field Detail

#### SYSTEM_BUNDLE_SYMBOLICNAME

    static final String SYSTEM_BUNDLE_SYMBOLICNAME

See Also:
  Constant Field Values

#### FRAMEWORK_VERSION_VALUE

    static final String FRAMEWORK_VERSION_VALUE

See Also:
  Constant Field Values

#### FRAMEWORK_VENDOR_VALUE

    static final String FRAMEWORK_VENDOR_VALUE

See Also:
  Constant Field Values

#### FELIX_VERSION_PROPERTY

    static final String FELIX_VERSION_PROPERTY

See Also:
  Constant Field Values

#### DIRECTIVE_SEPARATOR

    static final String DIRECTIVE_SEPARATOR

See Also:
  Constant Field Values

#### ATTRIBUTE_SEPARATOR

    static final String ATTRIBUTE_SEPARATOR

See Also:
  Constant Field Values

#### CLASS_PATH_SEPARATOR

    static final String CLASS_PATH_SEPARATOR

See Also:
  Constant Field Values

#### CLASS_PATH_DOT

    static final String CLASS_PATH_DOT

See Also:
  Constant Field Values

#### PACKAGE_SEPARATOR

    static final String PACKAGE_SEPARATOR

See Also:
  Constant Field Values

#### VERSION_SEGMENT_SEPARATOR

    static final String VERSION_SEGMENT_SEPARATOR

See Also:
  Constant Field Values

#### VERSION_SEGMENT_COUNT

    static final int VERSION_SEGMENT_COUNT

See Also:
  Constant Field Values

#### BUNDLE_NATIVECODE_OPTIONAL

    static final String BUNDLE_NATIVECODE_OPTIONAL

See Also:
  Constant Field Values

#### BUNDLE_URL_PROTOCOL

    static final String BUNDLE_URL_PROTOCOL

See Also:
  Constant Field Values

#### FRAMEWORK_BUNDLECACHE_IMPL

    static final String FRAMEWORK_BUNDLECACHE_IMPL

See Also:
  Constant Field Values

#### LOG_LEVEL_PROP

    static final String LOG_LEVEL_PROP

See Also:
  Constant Field Values

#### LOG_LOGGER_PROP

    static final String LOG_LOGGER_PROP

See Also:
  Constant Field Values

#### SYSTEMBUNDLE_ACTIVATORS_PROP

    static final String SYSTEMBUNDLE_ACTIVATORS_PROP

See Also:
  Constant Field Values

#### BUNDLE_STARTLEVEL_PROP

    static final String BUNDLE_STARTLEVEL_PROP

See Also:
  Constant Field Values

#### SERVICE_URLHANDLERS_PROP

    static final String SERVICE_URLHANDLERS_PROP

See Also:
  Constant Field Values

#### IMPLICIT_BOOT_DELEGATION_PROP

    static final String IMPLICIT_BOOT_DELEGATION_PROP

See Also:
  Constant Field Values

#### BOOT_CLASSLOADERS_PROP

    static final String BOOT_CLASSLOADERS_PROP

See Also:
  Constant Field Values

#### USE_LOCALURLS_PROP

    static final String USE_LOCALURLS_PROP

See Also:
  Constant Field Values

#### NATIVE_OS_NAME_ALIAS_PREFIX

    static final String NATIVE_OS_NAME_ALIAS_PREFIX

See Also:
  Constant Field Values

#### NATIVE_PROC_NAME_ALIAS_PREFIX

    static final String NATIVE_PROC_NAME_ALIAS_PREFIX

See Also:
  Constant Field Values

#### USE_CACHEDURLS_PROPS

    static final String USE_CACHEDURLS_PROPS

See Also:
  Constant Field Values

#### RESOLVER_PARALLELISM

    static final String RESOLVER_PARALLELISM

See Also:
  Constant Field Values

#### USE_PROPERTY_SUBSTITUTION_IN_SYSTEMPACKAGES

    static final String USE_PROPERTY_SUBSTITUTION_IN_SYSTEMPACKAGES

See Also:
  Constant Field Values

#### RESOLUTION_DYNAMIC

    static final String RESOLUTION_DYNAMIC

See Also:
  Constant Field Values

#### FRAMEWORK_INACTIVE_STARTLEVEL

    static final int FRAMEWORK_INACTIVE_STARTLEVEL

See Also:
  Constant Field Values

#### FRAMEWORK_DEFAULT_STARTLEVEL

    static final int FRAMEWORK_DEFAULT_STARTLEVEL

See Also:
  Constant Field Values

#### SYSTEMBUNDLE_DEFAULT_STARTLEVEL

    static final int SYSTEMBUNDLE_DEFAULT_STARTLEVEL

See Also:
  Constant Field Values

#### BUNDLE_DEFAULT_STARTLEVEL

    static final int BUNDLE_DEFAULT_STARTLEVEL

See Also:
  Constant Field Values

#### FAKE_URL_PROTOCOL_VALUE

    static final String FAKE_URL_PROTOCOL_VALUE

See Also:
  Constant Field Values

#### FELIX_EXTENSION_ACTIVATOR

    static final String FELIX_EXTENSION_ACTIVATOR

See Also:
  Constant Field Values

#### SECURITY_DEFAULT_POLICY

    static final String SECURITY_DEFAULT_POLICY

See Also:
  Constant Field Values

#### FELIX_EXTENSIONS_DISABLE

    static final String FELIX_EXTENSIONS_DISABLE

See Also:
  Constant Field Values

#### FRAMEWORK_UUID_SECURE

    static final String FRAMEWORK_UUID_SECURE

See Also:
  Constant Field Values

#### CALCULATE_SYSTEMPACKAGES_USES

    static final String CALCULATE_SYSTEMPACKAGES_USES

See Also:
  Constant Field Values